% % Add user-defined preamble here.
% % Example: listing style or acronyms

%\lstdefinestyle{numbers}{
%	numbers=right,
%	stepnumber=1,
%	numberstyle=\tiny\color{magenta},
%	numbersep=-7pt
%}

\begin{acronym}
	\acro{abac}[ABAC]{Attribute-Based Access Control}
	\acro{abacee}[AbacEE]{ABAC Expression Evaluator}
	\acro{adp}[ADP]{Administration and Delegation Profile}
	\acro{alfa}[ALFA]{Abbreviated Language For Authorization}
	\acro{am}[AM]{Attribute Manager}
	\acro{ar}[AR]{Attribute Retriever}
	\acro{at}[AT]{Attribute Table}
	\acro{can}[CAN]{Controller Area Network}
	\acro{ch}[CH]{Context Handler}
	\acro{ciso}[CISO]{Chief Information Security Officer}
	\acro{dac}[DAC]{Discretionary Access Control}
	\acro{drm}[DRM]{Digital Rights Management}
	\acro{ds}[DS]{Data Subject}
	\acro{ecu}[ECU]{Electronic Control Unit}
	\acro{eidas}[eIDAS]{electronic IDentification, Authentication and trust Services}
	\acro{gdpr}[GDPR]{General Data Protection Regulation}
	\acro{ifttt}[IFTTT]{IF This Then That}
	\acro{iam}[IAM]{Identity and Access Management}
	\acro{idp}[IdP]{Identity Provider}
	\acro{ioe}[IoE]{Internet of Everything}
	\acro{iot}[IoT]{Internet of Things}
	\acro{iov}[IoV]{Internet of Vehicles}
	\acro{ipr}[IPR]{Intellectual Property Rights}
	\acro{json}[JSON]{JavaScript Object Notation}
	\acro{jws}[JWS]{JSON Web Signatures}
	\acro{jwt}[JWT]{JSON Web Token}
	\acro{lbac}[LBAC]{Lattice Based Access Control}
	\acro{mac}[MAC]{Mandatory Access Control}
	\acro{msgbus}[MSG BUS]{Message Bus}
	\acro{obd2}[OBD-II]{On-Board Diagnostics-II}
	\acro{oem}[OEM]{Original Equipment Manufacturer}
	\acro{om}[OM]{Obligation Manager}
	\acro{oidc}[OIDC]{OpenID Connect}
	\acro{pap}[PAP]{Policy Administration Point}
	\acro{pdp}[PDP]{Policy Decision Point}
	\acro{pep}[PEP]{Policy Enforcement Point}
	\acro{pip}[PIP]{Policy Information Point}
	\acro{polp}[PoLP]{Principle of Least Privilege}
	\acro{pubsub}[Pub/Sub]{Publish/Subscribe}
	\acro{rbac}[RBAC]{Role Based Access Control}
	\acro{rebac}[ReBAC]{Relationship Based Access Control}
	\acro{siuv}[SIUV]{Smart-car Identity management and Usage control system based on Verifiable credentials}
	\acro{sm}[SM]{Session Manager}
	\acro{soa}[SOA]{Service-Oriented Architecture}
	\acro{ssi}[SSI/DID]{Self-Sovereign Identity/Decentralised Identifiers}
	\acro{sts}[STS]{Security Token Service}
	\acro{tlee}[TLEE]{Trust Level Evaluation Engine}
	\acro{tm}[TM]{Trust Management}
	\acro{ucon}[UCON]{Usage Control}
	\acro{ucs}[UCS]{Usage Control System}
	\acro{ucsp}[UCS+]{Usage Control System Plus}
	\acrodefplural{ucsp}[UCS+ instances]{Usage Control System Plus instances}
	\acro{vc}[VC]{Verifiable Credential}
	\acro{vdr}[VDR]{Verifiable Data Registry}
	\acro{wfms}[WfMS]{Workflow Management System}
	\acro{xacml}[XACML]{eXtensible Access Control Markup Language}
	\acro{zta}[ZTA]{Zero-Trust Architecture}
	\acro{ztn}[ZTN]{Zero-Trust Networks}
\end{acronym}


\definecolor{Coral}{RGB}{255,127,80}
\definecolor{CadetBlue}{RGB}{95,158,160}
\definecolor{ForestGreen}{RGB}{34,139,34}
\definecolor{SteelBlue}{RGB}{70,130,180}
\definecolor{MediumTurquoise}{RGB}{72,209,204}

\newcommand{\paren}[1]{\mathopen{}\left({#1}_{{}_{}}\,\negthickspace\right)\mathclose{}}

\lstset{
	language=XML,
	%	xrightmargin=0.5em,
	xleftmargin=0.5em,
	xrightmargin=0.5em,
	linewidth=0.96\linewidth,
	escapechar={|},
	frame=single,
	framexrightmargin=0.5em,
	%	aboveskip=0mm,
	%	belowskip=0mm,
	showstringspaces=false,
	columns=fullflexible,
	numberstyle=\tiny,
	%	basicstyle={\small\ttfamily},
	%	basicstyle={\small},
	basicstyle={\small\footnotesize},
	numberstyle=\tiny\color{teal},
	stringstyle=\color{gray},
	identifierstyle=\color{black},
	keywordstyle=\color{blue},
	%stringstyle=\color{darkgreen},
	breakatwhitespace=false,
	numbers=right,
	numbersep=0pt,       
	%	kbreaklines=true,                 
	captionpos=b,
	morekeywords={AttributeName,AttributeValue,Attribute,CombiningAlgorithm,ConditionExpression,decision,obligation,ObligationName,RuleId,RuleName,Title,Value},
	tabsize=1,
}